# avoid requirements in modules we're never going to use
%global __requires_exclude_from ^%{perl_vendorlib}/Asterisk/Astman\.pm$

%define rname asterisk-perl

Summary:	A perl agi interface module for asterisk
Name:		perl-asterisk-perl
Version:	1.08
Release:	1%{?dist}
License:	GPL 
Group:		Applications/Internet
URL:		http://asterisk.gnuinter.net/
Source0:	https://www.cpan.org/modules/by-module/Asterisk/asterisk-perl-%{version}.tar.gz
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(vars)
BuildRequires:	perl(ExtUtils::MakeMaker)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
BuildArch:	noarch

%description
asterisk-perl is a collection of perl modules to be used with the Asterisk
PBX, an open source pbx system developed by Mark Spencer.

%prep
%setup -n %{rname}-%{version}

%build
[ "%{buildroot}" != '/' ] && rm -rf %{buildroot}
CFLAGS="%{optflags}" %{__perl} Makefile.PL \
	PREFIX="%{buildroot}%{_prefix}" \
	INSTALLDIRS="vendor"
%{__make} %{?_smp_mflags} all

%install
%{__rm} -rf %{buildroot}
%{__make} install
%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}

%clean 
[ "%{buildroot}" != '/' ] && rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README CHANGES examples
%attr(0444,root,root)	%{_mandir}/man3/Asterisk*
%attr(0444,root,root)	%{perl_vendorlib}/*

%changelog
* Fri Apr 14 2023 Luigi Iotti <asterisk@iotti.biz> - 1.08
- First CentOS 8 build
- Updated version

* Thu Aug 09 2007 Laimbock Consulting <asterisk@laimbock.com> - 0.09-12
- Autobuild: new asterisk version 1.2.24 for (build)requires
- bump to release 12

* Wed Jul 25 2007 Laimbock Consulting <asterisk@laimbock.com> - 0.09-11
- Autobuild: new asterisk version 1.2.23 for (build)requires
- bump to release 11

* Wed Jul 18 2007 Laimbock Consulting <asterisk@laimbock.com> - 0.09-10
- Autobuild: new asterisk version 1.2.22 for (build)requires
- bump to release 10

* Sat Jun 30 2007 Laimbock Consulting <asterisk@laimbock.com> - 0.09-9
- Autobuild: new asterisk version 1.2.20 for (build)requires
- bump to release 9

* Sat Jun 16 2007 Laimbock Consulting <asterisk@laimbock.com> - 0.09-8
- Autobuild: new asterisk version 1.2.19 for (build)requires
- bump to release 8

* Sat Apr 28 2007 Laimbock Consulting <asterisk@laimbock.com> - 0.09-7
- Autobuild: new asterisk version 1.2.18 for (build)requires
- bump to release 7

* Thu Mar 22 2007 Laimbock Consulting <asterisk@laimbock.com> - 0.09-6
- Autobuild: new asterisk version 1.2.17 for (build)requires
- bump to release 6

* Wed Mar 7 2007 Laimbock Consulting <asterisk@laimbock.com> - 0.09-5
- fix an rpmlint issue

* Mon Mar 05 2007 Laimbock Consulting <asterisk@laimbock.com> - 0.09-4
- Autobuild: new asterisk version 1.2.16 for (build)requires
- bump to release 4

* Mon Mar 5 2007 Laimbock Consulting <asterisk@laimbock.com> -0.09-3
- remove asterisk version from the rpm name
- bump to release 3

* Tue Oct 31 2006 Laimbock Consulting <asterisk@laimbock.com> - 0.09_1.2.13-1
- update to 0.09

* Mon Aug 21 2006 Laimbock Consulting <asterisk@laimbock.com> - 0.08_1.2.11-1
- tweak specfile a bit

* Mon May 22 2006 Laimbock Consulting <asterisk@laimbock.com> - 0.08-4
- use Dag's perl specfile magic so asterisk-perl builds on FC4/FC5/CentOS/RHEL
- add BuildArch: noarch

